Arch Remove/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 51: Line 51:
# Press the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove component]]}} button, or {{MenuCommand|Modify → [[Image:Arch_Remove.svg|16px]] Remove component}} from the top menu.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove component]]}} button, or {{MenuCommand|Modify → [[Image:Arch_Remove.svg|16px]] Remove component}} from the top menu.


==Scripting==

<div class="mw-translate-fuzzy">
==Программирование==
==Программирование==
{{Emphasis|См. так же:}} [[Arch_API/ru|Arch API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
{{Emphasis|См. так же:}} [[Arch_API/ru|Arch API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
</div>


The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
removeComponents(objectsList, host=None)
removeComponents(objectsList, host=None)
Line 63: Line 68:


Пример:
Пример:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch

Latest revision as of 14:52, 15 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch Remove

Системное название
Удалить компонент
Расположение в меню
Архитектура → Удалить компонент
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Arch CutLine, Arch CutPlane, Добавить компонент

Описание

Инструменты «Удалить» позволяют выполнять 2 вида операций:

  • Удалите подкомпонент из объекта Arch, например, удалите поле, добавленное к стене, например, в примере Arch Add
  • Вычтите объект на основе shape из компонента Arch, например wall или Arch Structure

The counterpart of this tool is the Arch Add tool.

В приведенном выше изображении коробка вычитается из стены

Применение

  1. Select a subcomponent inside an Arch object.
  2. Press the Remove component button, or Modify → Remove component from the top menu.

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Remove component button, or Modify → Remove component from the top menu.

Scripting

Программирование

См. так же: Arch API и Основы составления скриптов в FreeCAD.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Пример:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()